<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/HandlerAndPolicy.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">HandlerAndPolicy.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &quot;<a class="el" href="_directive_handler_interface_8h_source.html">AVSCommon/SDKInterfaces/DirectiveHandlerInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blocking_policy_8h_source.html">BlockingPolicy.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for HandlerAndPolicy.h:</div>
<div class="dyncontent">
<div class="center"><img src="_handler_and_policy_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_handler_and_policy_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_handler_and_policy_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_handler_and_policy_8h">
<area shape="rect" id="node3" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="221,105,411,144"/>
<area shape="rect" id="node46" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="2899,279,3016,304"/>
<area shape="rect" id="node4" href="_a_v_s_directive_8h.html" title="AVSCommon/AVS/AVSDirective.h" alt="" coords="279,279,502,304"/>
<area shape="rect" id="node43" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="2660,192,2892,231"/>
<area shape="rect" id="node48" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="129,192,354,231"/>
<area shape="rect" id="node8" href="_attachment_manager_interface_8h.html" title="Attachment/AttachmentManager\lInterface.h" alt="" coords="534,352,746,391"/>
<area shape="rect" id="node41" href="_a_v_s_message_8h.html" title="AVSMessage.h" alt="" coords="268,952,380,977"/>
<area shape="rect" id="node10" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1182,439,1383,477"/>
<area shape="rect" id="node13" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="887,685,1089,724"/>
<area shape="rect" id="node17" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="1033,859,1234,897"/>
<area shape="rect" id="node16" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="1032,772,1194,811"/>
<area shape="rect" id="node18" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1988,525,2150,564"/>
<area shape="rect" id="node40" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="2562,779,2665,804"/>
<area shape="rect" id="node21" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1996,612,2143,637"/>
<area shape="rect" id="node23" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1613,772,1789,811"/>
<area shape="rect" id="node35" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1837,692,1945,717"/>
<area shape="rect" id="node36" href="_reader_8h.html" title="Reader.h" alt="" coords="2032,692,2107,717"/>
<area shape="rect" id="node39" href="_writer_8h.html" title="Writer.h" alt="" coords="2232,692,2299,717"/>
<area shape="rect" id="node24" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1608,859,1784,897"/>
<area shape="rect" id="node26" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="2061,945,2275,984"/>
<area shape="rect" id="node28" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1195,1032,1371,1071"/>
<area shape="rect" id="node29" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1507,945,1683,984"/>
<area shape="rect" id="node33" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1184,945,1381,984"/>
<area shape="rect" id="node34" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1245,1119,1421,1157"/>
<area shape="rect" id="node30" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1875,1032,2051,1071"/>
<area shape="rect" id="node31" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="2099,1119,2275,1157"/>
<area shape="rect" id="node42" href="_a_v_s_message_header_8h.html" title="AVSMessageHeader.h" alt="" coords="346,1039,502,1064"/>
<area shape="rect" id="node45" href="_namespace_and_name_8h.html" title="NamespaceAndName.h" alt="" coords="988,445,1151,471"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_handler_and_policy_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_handler_and_policy_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_handler_and_policy_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_handler_and_policy_8hdep">
<area shape="rect" id="node2" href="_directive_router_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/DirectiveRouter.h" alt="" coords="1754,105,1924,157"/>
<area shape="rect" id="node31" href="_handler_and_policy_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/HandlerAndPolicy.cpp" alt="" coords="1947,105,2128,157"/>
<area shape="rect" id="node32" href="_handler_and_policy_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/HandlerAndPolicyTest.cpp" alt="" coords="2152,105,2337,157"/>
<area shape="rect" id="node3" href="_directive_processor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/DirectiveProcessor.h" alt="" coords="1643,205,1813,257"/>
<area shape="rect" id="node4" href="_directive_sequencer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/DirectiveSequencer.h" alt="" coords="1439,305,1609,357"/>
<area shape="rect" id="node29" href="_directive_router_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveRouter.cpp" alt="" coords="1838,212,2064,251"/>
<area shape="rect" id="node30" href="_directive_router_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/DirectiveRouter\lTest.cpp" alt="" coords="2088,205,2294,257"/>
<area shape="rect" id="node27" href="_directive_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveProcessor.cpp" alt="" coords="1633,312,1879,351"/>
<area shape="rect" id="node28" href="_directive_processor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/DirectiveProcessor\lTest.cpp" alt="" coords="1903,305,2129,357"/>
<area shape="rect" id="node5" href="_directive_sequencer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveSequencer.cpp" alt="" coords="5,419,256,457"/>
<area shape="rect" id="node6" href="_directive_sequencer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/DirectiveSequencer\lTest.cpp" alt="" coords="281,412,511,464"/>
<area shape="rect" id="node7" href="_message_interpreter_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/MessageInterpreter\lTest.cpp" alt="" coords="535,412,764,464"/>
<area shape="rect" id="node8" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="788,405,1015,471"/>
<area shape="rect" id="node19" href="_revoke_authorization_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/a4btest/RevokeAuthorization\lHandlerTest.cpp" alt="" coords="1040,405,1283,471"/>
<area shape="rect" id="node20" href="_endpoint_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/EndpointHandler\lTest.cpp" alt="" coords="1308,405,1506,471"/>
<area shape="rect" id="node21" href="_user_inactivity_monitor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/UserInactivityMonitor\lTest.cpp" alt="" coords="1530,405,1753,471"/>
<area shape="rect" id="node22" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="1777,412,1949,464"/>
<area shape="rect" id="node23" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="1972,405,2188,471"/>
<area shape="rect" id="node24" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="2212,405,2423,471"/>
<area shape="rect" id="node25" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="2447,412,2657,464"/>
<area shape="rect" id="node26" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="2681,405,2884,471"/>
<area shape="rect" id="node9" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="635,519,864,571"/>
<area shape="rect" id="node10" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="789,619,1012,671"/>
<area shape="rect" id="node17" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="941,519,1156,571"/>
<area shape="rect" id="node11" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="564,719,783,771"/>
<area shape="rect" id="node16" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="806,719,1013,771"/>
<area shape="rect" id="node12" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="564,819,783,871"/>
<area shape="rect" id="node15" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="807,819,1009,871"/>
<area shape="rect" id="node13" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="574,919,773,957"/>
<area shape="rect" id="node14" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="852,919,1132,957"/>
<area shape="rect" id="node18" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="1086,625,1362,664"/>
</map>
</div>
</div>
<p><a href="_handler_and_policy_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_handler_and_policy.html">alexaClientSDK::avsCommon::avs::HandlerAndPolicy</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9757cb5209be77d3903af2659fd24bd7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a9757cb5209be77d3903af2659fd24bd7">alexaClientSDK::avsCommon::avs::operator==</a> (const HandlerAndPolicy &amp;lhs, const HandlerAndPolicy &amp;rhs)</td></tr>
<tr class="separator:a9757cb5209be77d3903af2659fd24bd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a332ae2d994f93e312c438f3fb555ac7e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a332ae2d994f93e312c438f3fb555ac7e">alexaClientSDK::avsCommon::avs::operator!=</a> (const HandlerAndPolicy &amp;lhs, const HandlerAndPolicy &amp;rhs)</td></tr>
<tr class="separator:a332ae2d994f93e312c438f3fb555ac7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
